Skip to main content
GET
/
v1
/
condition_sets
/
{condition_set_id}
/
condition_set_items
Get Condition Set Items
curl --request GET \
  --url https://api.privy.io/v1/condition_sets/{condition_set_id}/condition_set_items \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "items": [
    {
      "id": "abc123xyz456def789ghi012",
      "condition_set_id": "qvah5m2hmp9abqlxdmfiht95",
      "value": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
      "created_at": 1761271537642
    },
    {
      "id": "def456ghi789jkl012mno345",
      "condition_set_id": "qvah5m2hmp9abqlxdmfiht95",
      "value": "0xB00F0759DbeeF5E543Cc3E3B07A6442F5f3928a2",
      "created_at": 1761271537643
    }
  ],
  "next_cursor": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

condition_set_id
string
required
Required string length: 24

Query Parameters

cursor
string
Minimum string length: 1
limit
number | null
Required range: x <= 100
query
string

Filter items by value containing the query string.

Response

200 - application/json

Paginated list of condition set items.

Paginated list of condition set items.

items
ConditionSetItem · object[]
required

List of condition set items.

next_cursor
string | null
required

Cursor for pagination. Null if there are no more items.